versiontools 1.9.1-1 source package in Ubuntu

Changelog

versiontools (1.9.1-1) unstable; urgency=medium


  * Initial version. (Closes: #743921)

 -- Benjamin Drung <email address hidden>  Thu, 30 Jan 2014 12:21:00 +0100

Upload details

Uploaded by:
Benjamin Drung on 2014-04-09
Uploaded to:
Sid
Original maintainer:
Benjamin Drung
Architectures:
all
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Trusty release on 2014-04-10 universe misc

Builds

Trusty: [FULLYBUILT] i386

Downloads

File Size SHA-256 Checksum
versiontools_1.9.1-1.dsc 2.0 KiB f196e70d54d77eddc46ff8689ac2ec2713a2b24cd30e8432f2eec8106c9d5774
versiontools_1.9.1.orig.tar.gz 18.6 KiB a969332887a18a9c98b0df0ea4d4ca75972f24ca94f06fb87d591377e83414f6
versiontools_1.9.1-1.debian.tar.xz 2.4 KiB d2b6fc99fffb200dd419ad2f93327c0bdf88d3a6139389e3669940004feb86c0

No changes file available.

Binary packages built by this source

python-versiontools: Smart replacement for plain tuple used in __version__ (Python 2)

 versiontools is a Python module providing a smart replacement for plain tuple
 used in __version__. It has following features:
 .
  * A piece of code that allows you to keep a single version definition inside
    your package or module. No more hacks in setup.py, no more duplicates in
    setup.py and somewhere else. Just one version per package.
  * Version objects can produce nice version strings for released files that
    are compliant with PEP 386. Releases, alphas, betas, development snaphots.
    All of those get good version strings out of the box.
  * Version objects understand the VCS used by your project. Git, Mercurial and
    Bazaar are supported out of the box. Custom systems can be added by 3rd
    party plugins.
  * Version object that compares as a tuple of values and sorts properly.
  * Zero-dependency install! If all you care about is handling setup() to get
    nice tarball names then you don’t need to depend on versiontools (no
    setup_requires, no install_requires!). You will need to bundle a small
    support module though.
 .
 This is the Python 2 version of the package.

python3-versiontools: No summary available for python3-versiontools in ubuntu wily.

No description available for python3-versiontools in ubuntu wily.